# OpenOffice.org als Server starten
oo=$(ps ax | grep "soffice -headless" | grep -v grep)
if [ "$oo" ]
then
echo "OpenOffice-Server läuft bereits"
else
echo "Starte OpenOffice"
openoffice/program/soffice -headless -nologo -nodefault -nofirststartwizard -accept="socket,host=localhost,port=2002;urp;" &
# -nologo -nodefault -nofirststartwizard startet OpenOffice ohne sichtbares Fenster
echo "Bitte warten..."
sleep 10
/bin/bash -c 'ps ax | grep "soffice -headless" | grep -v grep|cut -c 1-8 | sed "s/ *$//g" | sed "s/^ *//g">run/soffice.pid'
PID=$(cat run/soffice.pid)
echo "OpenOffice mit PID: "$PID" gestartet"
fi
echo "Starte lwPDFConverter.py. Warte auf Dateien..."
echo "Beenden mit Strg-C"
openoffice/program/python lwPDFConverter.py

if [ ! "$oo" ]
then
rm run/soffice.pid
fi
